Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.soap
Class CallAjax

    java.lang.Object
      |
      +--org.emboss.jemboss.soap.CallAjax

public class CallAjax
extends java.lang.Object

Field Summary
`private PrivateRequest` | `epr`
`private int` | `length`
`private boolean` | `protein`
`private java.lang.String` | `status`
`private java.lang.String` | `statusmsg`
`private float` | `weight`

Constructor Summary
`CallAjax(java.lang.String fileContent, java.lang.String seqtype, JembossParams mysettings)`

Method Summary
`int` | `getLength()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getStatusMsg()`
`float` | `getWeight()`
`boolean` | `isProtein()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### statusmsg

    private java.lang.String statusmsg

### status

    private java.lang.String status

### length

    private int length

### weight

    private float weight

### protein

    private boolean protein

### epr

    private PrivateRequest epr

Constructor Detail

### CallAjax

    public CallAjax(java.lang.String fileContent,
                    java.lang.String seqtype,
                    JembossParams mysettings)
             throws JembossSoapException

Method Detail

### getStatus

    public java.lang.String getStatus()

### getStatusMsg

    public java.lang.String getStatusMsg()

### getLength

    public int getLength()

### getWeight

    public float getWeight()

### isProtein

    public boolean isProtein()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD